
tag @s[advancements={main:first_game=true}] add step1
tag @s[advancements={main:first_win=true,main:bricklayer=true}] add step2
tag @s[advancements={main:beginner=true,main:blacksmith=true}] add step3
tag @s[advancements={main:expert=true,main:trader=true}] add step4
tag @s[advancements={main:veteran=true,main:diamondcollector=true}] add step5
tag @s[advancements={main:maniac=true,main:jeweller=true}] add step6

# Easter Eggs

advancement grant @s[x=-2,y=26,z=-12,distance=..2] only main:easter_egg
advancement grant @s[x=-2,y=26,z=-12,distance=..2] only main:space

advancement grant @s[x=-32,y=43,z=3,distance=..2] only main:easter_egg
advancement grant @s[x=-32,y=43,z=3,distance=..2] only main:nether_portal

advancement grant @s[x=5008,y=97,z=5011,distance=..2] only main:easter_egg
advancement grant @s[x=5008,y=97,z=5011,distance=..2] only main:guardian

advancement grant @s[x=5002,y=80,z=-5007,distance=..3] only main:easter_egg
advancement grant @s[x=5002,y=80,z=-5007,distance=..3] only main:enchanted

advancement grant @s[x=5014,y=53,z=-8,distance=..2] only main:easter_egg
advancement grant @s[x=5014,y=53,z=-8,distance=..2] only main:ocean

# Step loops

execute as @s[tag=step1] run function main:advancements_loops/steps/step1
execute as @s[tag=step2] run function main:advancements_loops/steps/step2
execute as @s[tag=step3] run function main:advancements_loops/steps/step3
execute as @s[tag=step4] run function main:advancements_loops/steps/step4
execute as @s[tag=step5] run function main:advancements_loops/steps/step5
execute as @s[tag=step6] run function main:advancements_loops/steps/step6

# give swords

execute as @s[tag=step2] run advancement grant @s only main:stone_sword
execute as @s[tag=step3] run advancement grant @s only main:iron_sword
execute as @s[tag=step4] run advancement grant @s only main:golden_sword
execute as @s[tag=step5] run advancement grant @s only main:diamond_sword
execute as @s[tag=step6] run advancement grant @s only main:end

# Step one reset if not unlocked

scoreboard players reset @s[tag=!step1] statwin1
scoreboard players reset @s[tag=!step1] statsprint
scoreboard players reset @s[tag=!step1] statbrick
tag @s[tag=!step1] remove arena1
tag @s[tag=!step1] remove arena2
tag @s[tag=!step1] remove arena3
advancement revoke @s[tag=!step1] from main:first_game

# Step two reset if not unlocked

scoreboard players reset @s[tag=!step2] statwin2
scoreboard players reset @s[tag=!step2] statjump
scoreboard players reset @s[tag=!step2] statiron
# revove drowned stat
advancement revoke @s[tag=!step2] from main:beginner

# Step three reset if not unlocked

scoreboard players reset @s[tag=!step3] statwin3
scoreboard players reset @s[tag=!step3] statnokill
scoreboard players reset @s[tag=!step3] statgold
advancement revoke @s[tag=!step3] from main:expert


# Step four reset if not unlocked

scoreboard players reset @s[tag=!step4] statwin4
scoreboard players reset @s[tag=!step4] statkill
scoreboard players reset @s[tag=!step4] statdiamond
advancement revoke @s[tag=!step4] from main:veteran

# Step five reset if not unlocked

scoreboard players reset @s[tag=!step5] statwin5
scoreboard players reset @s[tag=!step5] statemerald
advancement revoke @s[tag=!step5] from main:maniac

# Step six reset if not unlocked

advancement revoke @s[tag=!step6] from main:end




