
schedule clear main:items/spawn_patch
schedule clear main:random_events/random
schedule clear main:random_events/random_end

execute if score EndGame timer matches 1.. run scoreboard players remove EndGame timer 1
execute unless score EndGame timer = EndGame timer run scoreboard players set EndGame timer 200

gamemode spectator @a

execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=!enableTeams] run title @a times 20 100 40
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=!enableTeams] run title @a subtitle ["",{"selector":"@a[scores={rankSingle=1}]"},{"text":" won the game!","color":"white"}]
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=!enableTeams] run title @a title ["",{"text":"\u2263 ","color":"red"},{"text":"Game over","bold":true,"color":"dark_red"},{"text":" \u2263","color":"red"}]

execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Red rankTeams matches 1 run title @a times 20 100 40
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Red rankTeams matches 1 run title @a subtitle ["",{"text":"Red team","color":"red"},{"text":" won the game!"}]
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Red rankTeams matches 1 run title @a title ["",{"text":"\u2263 ","color":"red"},{"text":"Game over","bold":true,"color":"dark_red"},{"text":" \u2263","color":"red"}]

execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Blue rankTeams matches 1 run title @a times 20 100 40
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Blue rankTeams matches 1 run title @a subtitle ["",{"text":"Blue team","color":"blue"},{"text":" won the game!"}]
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Blue rankTeams matches 1 run title @a title ["",{"text":"\u2263 ","color":"red"},{"text":"Game over","bold":true,"color":"dark_red"},{"text":" \u2263","color":"red"}]

execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Green rankTeams matches 1 run title @a times 20 100 40
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Green rankTeams matches 1 run title @a subtitle ["",{"text":"Green team","color":"green"},{"text":" won the game!"}]
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Green rankTeams matches 1 run title @a title ["",{"text":"\u2263 ","color":"red"},{"text":"Game over","bold":true,"color":"dark_red"},{"text":" \u2263","color":"red"}]

execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Yellow rankTeams matches 1 run title @a times 20 100 40
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Yellow rankTeams matches 1 run title @a subtitle ["",{"text":"Yellow team","color":"yellow"},{"text":" won the game!"}]
execute if score EndGame timer matches 190 as @a if entity @e[tag=x,tag=enableTeams] if score Yellow rankTeams matches 1 run title @a title ["",{"text":"\u2263 ","color":"red"},{"text":"Game over","bold":true,"color":"dark_red"},{"text":" \u2263","color":"red"}]


execute if score EndGame timer matches 200 as @a run function main:advancements_loops/win

execute if score EndGame timer matches 200 as @a run advancement grant @a[tag=step5,nbt={ActiveEffects:[{Id:14b}]},scores={rankSingle=1}] only main:invisible
execute if entity @e[tag=x,tag=enableTeams] if entity @s[team=Red] if score Red rankTeams matches 1 run advancement grant @a[team=Red,tag=step5,nbt={ActiveEffects:[{Id:14b}]}] only main:invisible
execute if entity @e[tag=x,tag=enableTeams] if entity @s[team=Blue] if score Blue rankTeams matches 1 run advancement grant @a[team=Blue,tag=step5,nbt={ActiveEffects:[{Id:14b}]}] only main:invisible
execute if entity @e[tag=x,tag=enableTeams] if entity @s[team=Green] if score Green rankTeams matches 1 run advancement grant @a[team=Green,tag=step5,nbt={ActiveEffects:[{Id:14b}]}] only main:invisible
execute if entity @e[tag=x,tag=enableTeams] if entity @s[team=Yellow] if score Yellow rankTeams matches 1 run advancement grant @a[team=Yellow,tag=step5,nbt={ActiveEffects:[{Id:14b}]}] only main:invisible


execute if score EndGame timer matches 220 as @a run bossbar remove minecraft:match.timer
execute if score EndGame timer matches 220 as @a run bossbar add match.timer ["",{"text":"Timer","color":"red"}]
execute if score EndGame timer matches 220 as @a run bossbar set match.timer name ["",{"text":"Game over!","color":"red"},{"text":" Waiting...","color":"dark_red"}]

execute if score EndGame timer matches 200 as @a run advancement grant @a[tag=step4,team=!Spectator,scores={scoresSingle=0}] only main:unlucky
execute if score EndGame timer matches 200 as @a run advancement grant @a[tag=step3,team=!Spectator,scores={statnokill=0}] only main:peace
execute if score EndGame timer matches 200 as @a run advancement grant @a[tag=step4,team=!Spectator,scores={statkill=50..}] only main:murderer
execute if score EndGame timer matches 200 as @a at @s run playsound minecraft:block.end_portal.spawn block @s ~ ~ ~ 1 1

execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 200 if score Blue rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;2437522,2651799,6719955],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 200 if score Red rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;11743532,14188952],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 200 if score Green rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;3887386,4312372],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 200 if score Yellow rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;14602026,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=!enableTeams] if score EndGame timer matches 200 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;1973019,11743532,3887386,5320730,2437522,8073150,2651799,4408131,14188952,4312372,14602026,6719955,12801229,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}


execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 140 if score Blue rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;2437522,2651799,6719955],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 140 if score Red rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;11743532,14188952],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 140 if score Green rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;3887386,4312372],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 140 if score Yellow rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;14602026,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=!enableTeams] if score EndGame timer matches 140 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;1973019,11743532,3887386,5320730,2437522,8073150,2651799,4408131,14188952,4312372,14602026,6719955,12801229,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}


execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 60 if score Blue rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;2437522,2651799,6719955],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 60 if score Red rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;11743532,14188952],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 60 if score Green rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;3887386,4312372],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 60 if score Yellow rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;14602026,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=!enableTeams] if score EndGame timer matches 60 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;1973019,11743532,3887386,5320730,2437522,8073150,2651799,4408131,14188952,4312372,14602026,6719955,12801229,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}


execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 40 if score Blue rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;2437522,2651799,6719955],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 40 if score Red rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;11743532,14188952],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 40 if score Green rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;3887386,4312372],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 40 if score Yellow rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;14602026,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=!enableTeams] if score EndGame timer matches 40 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:20,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;1973019,11743532,3887386,5320730,2437522,8073150,2651799,4408131,14188952,4312372,14602026,6719955,12801229,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}


execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 180 if score Blue rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:10,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;2437522,2651799,6719955],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 180 if score Red rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:10,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;11743532,14188952],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 180 if score Green rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:10,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;3887386,4312372],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=enableTeams] if score EndGame timer matches 180 if score Yellow rankTeams matches 1 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:10,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;14602026,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}
execute if entity @e[tag=x,tag=!enableTeams] if score EndGame timer matches 180 as @a at @s positioned ~ ~3 ~ run summon firework_rocket ~ ~ ~ {LifeTime:10,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1,Colors:[I;1973019,11743532,3887386,5320730,2437522,8073150,2651799,4408131,14188952,4312372,14602026,6719955,12801229,15435844],FadeColors:[I;11250603,15790320]}],Flight:1}}}}

execute if score EndGame timer matches ..0 as @a[team=!Spectator] run function main:game/end_game_stats
execute if score EndGame timer matches ..0 run function main:game/stop_game
