execute as @a at @s run playsound minecraft:block.note_block.basedrum master @s ~ ~ ~ 1 0.1
tag @e[type=minecraft:armor_stand,tag=x] add gameStarted
scoreboard players operation itemSpawn itemsTimer = @e[tag=x,limit=1] sDropRate
gamemode adventure @a
clear @a
tag @e remove firstRanked
tag @a remove fallingVoid
tag @a remove magnetEvent
execute if entity @e[tag=x,type=armor_stand,scores={sGameEvents=1}] run function main:random_events/time_before_next_event
scoreboard players set event_id itemsTimer 0

replaceitem entity @a[team=Player] armor.head leather_helmet{display:{Name:'{"text":"➔ Your armor","color":"white","bold":true,"italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"You can\'t remove this item","color":"red","italic":false}]','[{"text":"➣ ","color":"dark_gray","italic":false},{"text":"Protection I","color":"gray","italic":false}]'],color:16777215},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:binding_curse",lvl:1s}]} 1

replaceitem entity @a[team=Yellow] armor.head leather_helmet{display:{Name:'{"text":"➔ Your armor","color":"white","bold":true,"italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"You can\'t remove this item","color":"red","italic":false}]','[{"text":"➣ ","color":"dark_gray","italic":false},{"text":"Protection I","color":"gray","italic":false}]'],color:15335204},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:binding_curse",lvl:1s}]} 1

replaceitem entity @a[team=Green] armor.head leather_helmet{display:{Name:'{"text":"➔ Your armor","color":"white","bold":true,"italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"You can\'t remove this item","color":"red","italic":false}]','[{"text":"➣ ","color":"dark_gray","italic":false},{"text":"Protection I","color":"gray","italic":false}]'],color:1703713},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:binding_curse",lvl:1s}]} 1

replaceitem entity @a[team=Red] armor.head leather_helmet{display:{Name:'{"text":"➔ Your armor","color":"white","bold":true,"italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"You can\'t remove this item","color":"red","italic":false}]','[{"text":"➣ ","color":"dark_gray","italic":false},{"text":"Protection I","color":"gray","italic":false}]'],color:16713736},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:binding_curse",lvl:1s}]} 1

replaceitem entity @a[team=Blue] armor.head leather_helmet{display:{Name:'{"text":"➔ Your armor","color":"white","bold":true,"italic":false}',Lore:['[{"text":"» ","color":"white","italic":false},{"text":"You can\'t remove this item","color":"red","italic":false}]','[{"text":"➣ ","color":"dark_gray","italic":false},{"text":"Protection I","color":"gray","italic":false}]'],color:2177023},HideFlags:63,Unbreakable:1b,Enchantments:[{id:"minecraft:protection",lvl:1s},{id:"minecraft:binding_curse",lvl:1s}]} 1

scoreboard players set itemSpawn itemsTimer 40

scoreboard players reset * scoresSingle
scoreboard players reset * scoresTeams
scoreboard players reset * deathCountdown
scoreboard players reset * killed

scoreboard players set @a[team=!Spectator] statkillcount 0
scoreboard players set @a[team=!Spectator] statdeath 0
scoreboard players set @a[team=!Spectator] statnokill 0

execute if entity @e[tag=x,type=armor_stand,scores={sTeams=1..}] run scoreboard players set Blue: scoresTeams 0
execute if entity @e[tag=x,type=armor_stand,scores={sTeams=1..}] run scoreboard players set Red: scoresTeams 0
execute if entity @e[tag=x,type=armor_stand,scores={sTeams=2..}] run scoreboard players set Green: scoresTeams 0
execute if entity @e[tag=x,type=armor_stand,scores={sTeams=3}] run scoreboard players set Yellow: scoresTeams 0
scoreboard players set @a[team=!Spectator] scoresSingle 0

team join ColorBlue Blue:
team join ColorRed Red:
team join ColorGreen Green:
team join ColorYellow Yellow:

function main:tools/rank/solo/run
function main:tools/rank/team/run

tag @e[tag=x,type=minecraft:armor_stand] add generating
scoreboard players set @e[tag=x,type=armor_stand] generateTimer 140

execute as @e[tag=x,type=armor_stand,scores={sMap=1}] run spawnpoint @a 5005 96 -5005
execute as @e[tag=x,type=armor_stand,scores={sMap=2}] run spawnpoint @a 5000 99 5000
execute as @e[tag=x,type=armor_stand,scores={sMap=3}] run spawnpoint @a 5000 60 0

execute as @e[tag=x,type=armor_stand,scores={sMap=1}] run tag @a[team=!Spectator] add arena1
execute as @e[tag=x,type=armor_stand,scores={sMap=2}] run tag @a[team=!Spectator] add arena2
execute as @e[tag=x,type=armor_stand,scores={sMap=3}] run tag @a[team=!Spectator] add arena3

advancement grant @a[tag=arena1,tag=arena2,tag=arena3,tag=step1,team=!Spectator] only main:tourist

scoreboard players reset * killed
scoreboard players reset * killer
effect give @a[team=!Spectator] minecraft:weakness 10 100 true

advancement grant @a[team=!Spectator] only main:first_game

execute as @e[type=armor_stand,tag=x,scores={sGameScore=1}] run scoreboard players set @s scoreToReach 100
execute as @e[type=armor_stand,tag=x,scores={sGameScore=2}] run scoreboard players set @s scoreToReach 500
execute as @e[type=armor_stand,tag=x,scores={sGameScore=3}] run scoreboard players set @s scoreToReach 1000
execute as @e[type=armor_stand,tag=x,scores={sGameScore=4}] run scoreboard players set @s scoreToReach 1500
execute as @e[type=armor_stand,tag=x,scores={sGameScore=5}] run scoreboard players set @s scoreToReach 2000
execute as @e[type=armor_stand,tag=x,scores={sGameScore=6}] run scoreboard players set @s scoreToReach 2500
execute as @e[type=armor_stand,tag=x,scores={sGameScore=7}] run scoreboard players set @s scoreToReach 3500
execute as @e[type=armor_stand,tag=x,scores={sGameScore=8}] run scoreboard players set @s scoreToReach 4000
execute as @e[type=armor_stand,tag=x,scores={sGameScore=9}] run scoreboard players set @s scoreToReach 4500
execute as @e[type=armor_stand,tag=x,scores={sGameScore=10}] run scoreboard players set @s scoreToReach 5000